Bug 493802 - [RFE] Providing support for ssh enabled RSA II fence devices
[RFE] Providing support for ssh enabled RSA II fence devices
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.4
All Linux
low Severity low
: rc
: ---
Assigned To: Marek Grac
Cluster QE
: FutureFeature, Triaged
Depends On: 476161
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-03 03:25 EDT by Marek Grac
Modified: 2016-04-26 10:24 EDT (History)
10 users (show)

See Also:
Fixed In Version: cman-2.0.115-1.el5
Doc Type: Enhancement
Doc Text:
Cause: Fence agent does not work when used with ssh Consequences: User have to use telnet connection which is not secure enough Fix: Fence agent was rewritten and ported to use fencing library Result: User can use secure connection to fence device
Story Points: ---
Clone Of: 476161
Environment:
Last Closed: 2009-09-02 07:10:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fence agent for RSA II (1.63 KB, application/octet-stream)
2009-04-03 03:59 EDT, Marek Grac
no flags Details
Patch to fencing agent included in bugzilla (986 bytes, patch)
2009-08-03 08:38 EDT, Marek Grac
no flags Details | Diff

  None (edit)
Comment 1 Marek Grac 2009-04-03 03:59:24 EDT
Created attachment 337995 [details]
Fence agent for RSA II 

Contains support for ssh, built on fencing library
Comment 5 Marek Grac 2009-05-25 08:16:17 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Cause: Fence agent does not work when used with ssh
Consequences: User have to use telnet connection which is not secure enough
Fix: Fence agent was rewritten and ported to use fencing library
Result: User can use secure connection to fence device
Comment 6 Chris Ward 2009-07-03 14:28:52 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 8 Josep 'Pep' Turro Mauri 2009-08-03 08:23:01 EDT
Customer tried this change as part of 5.4 beta tests and here are the results:

1) These lines fail:

    11 sys.path.append("@FENCEAGENTSLIBDIR@")
    12 from fencing import *

other fencing agents have:

sys.path.append("/usr/lib/fence")

With that change, the fence agent progresses further

2) Another failure happens here:

    46         atexit.register(atexit_handler)

Comment #10 in bug 476161 seems to suggest this line should not be there, so I asked the customer to remove it and keep testing from there on.

Regards,

pep
Comment 9 Marek Grac 2009-08-03 08:38:53 EDT
Created attachment 356015 [details]
Patch to fencing agent included in bugzilla
Comment 11 Issue Tracker 2009-08-04 08:40:35 EDT
Event posted on 2009-08-04 14:40 CEST by jturro

Customer tested fence_rsa patched with the patch in comment #9 and found
another problem:

[root@node1 ~] fence_node node2
agent "fence_rsa" reports: Traceback (most recent call last):
 File "/sbin/fence_rsa", line 77, in ?
   main()
 File "/sbin/fence_rsa", line 63, in main
   fence_action(conn, options, set_power_status, get_power_status, None)
TypeError: fence_action() takes exactly 4 arguments agent "fence_rsa"
reports: (5 given)

Based on other fence agents's code I suggested the following additional
change:

--- ./fence_rsa.orig	2009-08-04 12:34:30.000000000 -0400
+++ ./fence_rsa	2009-08-04 12:34:42.000000000 -0400
@@ -60,7 +60,7 @@ def main():
 	## Operate the fencing device
 	######
 	conn = fence_login(options)
-	fence_action(conn, options, set_power_status, get_power_status, None)
+	fence_action(conn, options, set_power_status, get_power_status)
 
 	##
 	## Logout from system

customer will likely test again with this change, subject to time
constrains and other test needs.

Are you aware of any additional expected change coming from differences in
the branches?

Thanks,

pep



This event sent from IssueTracker by jturro 
 issue 275549
Comment 13 Marek Grac 2009-08-05 06:13:50 EDT
Proposed patch is correct, there should be no more problems.
Comment 16 Nate Straz 2009-08-05 16:15:10 EDT
Verified that fence_rsa agent works in cman-2.0.115-1.el5.
Comment 18 errata-xmlrpc 2009-09-02 07:10:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1341.html

Note You need to log in before you can comment on or make changes to this bug.